"> AR# 16637: LogiCORE SPI-4.2 (POS PHY L4) - バージョン 4.0 および 5.0 の Sink コアの DCM でロックが解除されるか、DIP4 エラーが発生する

UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 16637

LogiCORE SPI-4.2 (POS PHY L4) - バージョン 4.0 および 5.0 の Sink コアの DCM でロックが解除されるか、DIP4 エラーが発生する

説明

キーワード : SPI 4.2, PL4, version 5.0, version 4.0, POS PHY, RDCLK, DCM, operation, DIP4, error, lock, バージョン, エラー, ロック

重要度 : 標準

概要 :
Virtex-II デバイスで SPI-4.2 を実行すると、RDCLK DCM のロックが解除されるか、DIP4 エラーが発生します。 この現象は、一部のデバイス (ボード) で発生します。

DCM の位相シフト範囲は (Xilinx Answer 16112) に記載されているとおりですが、デザインの動作はボードによって異なります。 詳細については、(Xilinx Answer 16112) を参照してください。

メモ : この現象は、DCM を可変位相シフト モードで使用した場合に、バージョン 4.0 および 5.0 の SPI-4.2 コアのみで発生します。

ソリューション

この現象は、DCM での RDCLK 信号のロックが解除されるために発生します。

解決策 1
バージョン 5.1 または 5.2 ではこのような現象は発生しないので、SPI-4.2 (PL4) コアをアップグレードしてください。
メモ : バージョン 5.2 の SPI-4.2 を使用するには、ISE 5.1.03 以降を使用する必要があります。

解決策 2
最新バージョンにアップグレードしない場合は、BitGen の「Centered」オプションを使用します。

例 :
bitgen -g Centered_x0y0:0 design.ncd

BitGen オプションについては、(Xilinx Answer 15130) を参照してください。

上記の BitGen オプションを使用するには、PL4 Sink コアで使用する DCM サイトを指定する必要があります。 例では、DCM サイトは x0y0 です。

デザインで使用されている DCM サイトを確認するには、次の手順に従ってください。

1. 「Constrain the DCMs and associated BUFGMUXes」の下にある UCF ファイルを開きます。 「pl4_snk_top0/pl4_snk_clk0/...../rdclk_dcm0" LOC = DCM_x#y#」 (x#y# は DCM サイトを示す) で始まるインスタンス名を見つけます。

または

2. 配置済み NCD ファイルを FPGA Editor で開き、「pl4_snk_top0/pl4_snk_clk0/...../rdclk_dcm0」の DCM サイトを見つけます。

メモ : 自動スタティック アライメントはバージョン 6.0 以降でしかサポートされないため、固定されたスタティック アライメントを使用する必要があります。 PL4 の既知の問題については、(Xilinx Answer 12420) を参照してください。
AR# 16637
日付 05/03/2010
ステータス アーカイブ
種類 一般
このページをブックマークに追加